# Class Tradable

#### Hierarchy

- unknown
  - Tradable

- Defined in src/protobuf/pb_pb.d.ts:6037
- Defined in src/protobuf/pb_pb.d.ts:6083

#####
Index

### Constructors

constructor

### Methods

clearArbitratorTrade
clearBuyerAsMakerTrade
clearBuyerAsTakerTrade
clearOpenOffer
clearSellerAsMakerTrade
clearSellerAsTakerTrade
clearSignedOffer
getArbitratorTrade
getBuyerAsMakerTrade
getBuyerAsTakerTrade
getMessageCase
getOpenOffer
getSellerAsMakerTrade
getSellerAsTakerTrade
getSignedOffer
hasArbitratorTrade
hasBuyerAsMakerTrade
hasBuyerAsTakerTrade
hasOpenOffer
hasSellerAsMakerTrade
hasSellerAsTakerTrade
hasSignedOffer
serializeBinary
setArbitratorTrade
setBuyerAsMakerTrade
setBuyerAsTakerTrade
setOpenOffer
setSellerAsMakerTrade
setSellerAsTakerTrade
setSignedOffer
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Tradable(): Tradable

- #### Returns Tradable

  Inherited from jspb.Message.constructor

## Methods

### clearArbitratorTrade

- clearArbitratorTrade(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6071

### clearBuyerAsMakerTrade

- clearBuyerAsMakerTrade(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6051

### clearBuyerAsTakerTrade

- clearBuyerAsTakerTrade(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6056

### clearOpenOffer

- clearOpenOffer(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6041

### clearSellerAsMakerTrade

- clearSellerAsMakerTrade(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6061

### clearSellerAsTakerTrade

- clearSellerAsTakerTrade(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6066

### clearSignedOffer

- clearSignedOffer(): Tradable

- #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6046

### getArbitratorTrade

- getArbitratorTrade(): undefined | ArbitratorTrade

- #### Returns undefined | ArbitratorTrade

  - Defined in src/protobuf/pb_pb.d.ts:6068

### getBuyerAsMakerTrade

- getBuyerAsMakerTrade(): undefined | BuyerAsMakerTrade

- #### Returns undefined | BuyerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6048

### getBuyerAsTakerTrade

- getBuyerAsTakerTrade(): undefined | BuyerAsTakerTrade

- #### Returns undefined | BuyerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6053

### getMessageCase

- getMessageCase(): Tradable.MessageCase

- #### Returns Tradable.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:6073

### getOpenOffer

- getOpenOffer(): undefined | OpenOffer

- #### Returns undefined | OpenOffer

  - Defined in src/protobuf/pb_pb.d.ts:6038

### getSellerAsMakerTrade

- getSellerAsMakerTrade(): undefined | SellerAsMakerTrade

- #### Returns undefined | SellerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6058

### getSellerAsTakerTrade

- getSellerAsTakerTrade(): undefined | SellerAsTakerTrade

- #### Returns undefined | SellerAsTakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6063

### getSignedOffer

- getSignedOffer(): undefined | SignedOffer

- #### Returns undefined | SignedOffer

  - Defined in src/protobuf/pb_pb.d.ts:6043

### hasArbitratorTrade

- hasArbitratorTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6070

### hasBuyerAsMakerTrade

- hasBuyerAsMakerTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6050

### hasBuyerAsTakerTrade

- hasBuyerAsTakerTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6055

### hasOpenOffer

- hasOpenOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6040

### hasSellerAsMakerTrade

- hasSellerAsMakerTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6060

### hasSellerAsTakerTrade

- hasSellerAsTakerTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6065

### hasSignedOffer

- hasSignedOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6045

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6075

### setArbitratorTrade

- setArbitratorTrade(value?: ArbitratorTrade): Tradable

- #### Parameters

  - ##### `Optional` value: ArbitratorTrade

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6069

### setBuyerAsMakerTrade

- setBuyerAsMakerTrade(value?: BuyerAsMakerTrade): Tradable

- #### Parameters

  - ##### `Optional` value: BuyerAsMakerTrade

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6049

### setBuyerAsTakerTrade

- setBuyerAsTakerTrade(value?: BuyerAsTakerTrade): Tradable

- #### Parameters

  - ##### `Optional` value: BuyerAsTakerTrade

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6054

### setOpenOffer

- setOpenOffer(value?: OpenOffer): Tradable

- #### Parameters

  - ##### `Optional` value: OpenOffer

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6039

### setSellerAsMakerTrade

- setSellerAsMakerTrade(value?: SellerAsMakerTrade): Tradable

- #### Parameters

  - ##### `Optional` value: SellerAsMakerTrade

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6059

### setSellerAsTakerTrade

- setSellerAsTakerTrade(value?: SellerAsTakerTrade): Tradable

- #### Parameters

  - ##### `Optional` value: SellerAsTakerTrade

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6064

### setSignedOffer

- setSignedOffer(value?: SignedOffer): Tradable

- #### Parameters

  - ##### `Optional` value: SignedOffer

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6044

### toObject

- toObject(includeInstance?: boolean): Tradable.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Tradable.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6076

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Tradable

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6079

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Tradable, reader: BinaryReader): Tradable

- #### Parameters

  - ##### message: Tradable

  - ##### reader: BinaryReader

  #### Returns Tradable

  - Defined in src/protobuf/pb_pb.d.ts:6080

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Tradable, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Tradable

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6078

### `Static` toObject

- toObject(includeInstance: boolean, msg: Tradable): Tradable.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Tradable

  #### Returns Tradable.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6077

Generated using TypeDoc